# module RSS::Maker::AtomGenerator

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/atom.rb, line 129
    def to_feed(feed, current)
      generator = current.class::Generator.new
      if setup_values(generator)
        current.generator = generator
        set_parent(generator, current)
        setup_other_elements(feed)
      elsif variable_is_set?
        raise NotSetError.new(self.class.not_set_name,
                              not_set_required_variables)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/atom.rb, line 142
    def required_variable_names
      %w(content)
    end